/**
 * generated by Xtext 2.17.0
 */
package org.xtext.example.mydsl.scheme;

import org.eclipse.emf.common.util.EList;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Lambda</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * </p>
 * <ul>
 *   <li>{@link org.xtext.example.mydsl.scheme.Lambda#getParam <em>Param</em>}</li>
 * </ul>
 *
 * @see org.xtext.example.mydsl.scheme.SchemePackage#getLambda()
 * @model
 * @generated
 */
public interface Lambda extends Command
{
  /**
   * Returns the value of the '<em><b>Param</b></em>' containment reference list.
   * The list contents are of type {@link org.xtext.example.mydsl.scheme.Any}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Param</em>' containment reference list.
   * @see org.xtext.example.mydsl.scheme.SchemePackage#getLambda_Param()
   * @model containment="true"
   * @generated
   */
  EList<Any> getParam();

} // Lambda
